Subject: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Nov 2022 22:49:15 -0400

> It looks like `insert-before-markers' behaves differently for overlays
> ending at `point'.  Indirect buffers are not required to reproduce it.
> These tests now fail when they used to pass:

I pushed a fix for this problem, but it doesn't solve Eason's case (it
actually makes it worse: instead of the LF becoming invisible, it's the
whole second entry which becomes swallowed/covered by the fold of the first).

        Stefan